#ifndef ProtoGenWrapper_GetComChannelFromComInterface_H
#define ProtoGenWrapper_GetComChannelFromComInterface_H

#include <string>

#include <Command.h>

#include "ComInterface.h"

namespace ProtoGenWrapper
{
	class GetComChannelFromComInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetComChannelFromComInterface(const std::string& identifier, const std::string& ecuVariantName, bool performVariantSelection, ComInterface comInterface);
		GetComChannelFromComInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		GetComChannelFromComInterface() = delete;

		bool GetValues(std::string& identifier, std::string& ecuVariantName, bool& performVariantSelection, ComInterface &comInterface);
		static int GetCommandType();
	};
}

#endif // ProtoGenWrapper_GetComChannelFromComInterface_H
